Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Svc_Conf_l.cpp File Reference

`#include "ace/OS.h"`
`#include "ace/Svc_Conf.h"`
`#include "ace/Svc_Conf_Tokens.h"`

Include dependency graph for Svc_Conf_l.cpp:

## Compounds
struct | ace_yy_buffer_state
## Defines
#define | ACE_YY_NO_UNPUT
#define | FLEX_SCANNER
#define | ACE_YY_FLEX_MAJOR_VERSION 2
#define | ACE_YY_FLEX_MINOR_VERSION 5
#define | ace_yyconst
#define | ACE_YY_PROTO(proto) ()
#define | ACE_YY_NULL 0
#define | ACE_YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)
#define | BEGIN ace_yy_start = 1 + 2 *
#define | ACE_YY_START ((ace_yy_start - 1) / 2)
#define | ACE_YYSTATE ACE_YY_START
#define | ACE_YY_STATE_EOF(state) (ACE_YY_END_OF_BUFFER + state + 1)
#define | ACE_YY_NEW_FILE ace_yyrestart( ace_yyin )
#define | ACE_YY_END_OF_BUFFER_CHAR 0
#define | ACE_YY_BUF_SIZE 16384
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | ace_yyless(n)
#define | ACE_YY_BUFFER_NEW 0
#define | ACE_YY_BUFFER_NORMAL 1
#define | ACE_YY_BUFFER_EOF_PENDING 2
#define | ACE_YY_CURRENT_BUFFER ace_yy_current_buffer
#define | ACE_YY_FLUSH_BUFFER ace_yy_flush_buffer( ace_yy_current_buffer )
#define | ace_yy_new_buffer ace_yy_create_buffer
#define | ace_yy_set_interactive(is_interactive)
#define | ace_yy_set_bol(at_bol)
#define | ACE_YY_AT_BOL() (ace_yy_current_buffer->ace_yy_at_bol)
#define | ace_yytext_ptr ace_yytext
#define | ACE_YY_DO_BEFORE_ACTION
#define | ACE_YY_NUM_RULES 25
#define | ACE_YY_END_OF_BUFFER 26
#define | REJECT reject_used_but_not_detected
#define | ace_yymore() ace_yymore_used_but_not_detected
#define | ACE_YY_MORE_ADJ 0
#define | ACE_YY_RESTORE_ACE_YY_MORE_OFFSET
#define | INITIAL 0
#define | token(x) x
#define | PARAMETERS 1
#define | NORMAL 2
#define | ACE_YY_NO_PUSH_STATE 1
#define | ACE_YY_NO_POP_STATE 1
#define | ACE_YY_NO_TOP_STATE 1
#define | ACE_YY_READ_BUF_SIZE 8192
#define | ACE_SVC_CONF_ECHO (void) fwrite( ace_yytext, ace_yyleng, 1, ace_yyout )
#define | ACE_YY_INPUT(buf,result,max_size)
#define | ace_yyterminate() return ACE_YY_NULL
#define | ACE_YY_START_STACK_INCR 25
#define | ACE_YY_FATAL_ERROR(msg) ace_yy_fatal_error( msg )
#define | ACE_YY_BREAK break;
#define | ACE_YY_RULE_SETUP
#define | ACE_YY_EXIT_FAILURE 2
#define | ace_yyless(n)
## Typedefs
typedef struct ace_yy_buffer_state* | ACE_YY_BUFFER_STATE
typedef unsigned int | ace_yy_size_t
typedef ACE_TCHAR | ACE_YY_CHAR
typedef int | ace_yy_state_type
## Functions
void ace_yyrestart | ACE_YY_PROTO (( FILE *input_file ))
void ace_yy_switch_to_buffer | ACE_YY_PROTO (( ACE_YY_BUFFER_STATE new_buffer ))
void ace_yy_load_buffer_state | ACE_YY_PROTO (( void ))
ACE_YY_BUFFER_STATE ace_yy_create_buffer | ACE_YY_PROTO (( FILE *file, int size ))
void ace_yy_delete_buffer | ACE_YY_PROTO (( ACE_YY_BUFFER_STATE b ))
void ace_yy_init_buffer | ACE_YY_PROTO (( ACE_YY_BUFFER_STATE b, FILE *file ))
ACE_YY_BUFFER_STATE ace_yy_scan_buffer | ACE_YY_PROTO (( ACE_TCHAR *base, ace_yy_size_t size ))
ACE_YY_BUFFER_STATE ace_yy_scan_string | ACE_YY_PROTO (( ace_yyconst ACE_TCHAR *ace_yy_str ))
ACE_YY_BUFFER_STATE ace_yy_scan_bytes | ACE_YY_PROTO (( ace_yyconst ACE_TCHAR *bytes, int len ))
void* ace_yy_flex_alloc | ACE_YY_PROTO (( ace_yy_size_t ))
void* ace_yy_flex_realloc | ACE_YY_PROTO (( void *, ace_yy_size_t ))
void ace_yy_flex_free | ACE_YY_PROTO (( void * ))
ace_yy_state_type ace_yy_try_NUL_trans | ACE_YY_PROTO (( ace_yy_state_type current_state ))
void ace_yy_fatal_error | ACE_YY_PROTO (( ace_yyconst ACE_TCHAR msg[] ))
void | ace_yy_init_buffer ( b, file ) ACE_YY_BUFFER_STATE b
## Variables
FILE * | ace_yyout = (FILE *) 0
ACE_YY_BUFFER_STATE | ace_yy_current_buffer = 0
ACE_TCHAR | ace_yy_hold_char
int | ace_yy_n_chars
ACE_TCHAR* | ace_yy_c_buf_p = (ACE_TCHAR *) 0
int | ace_yy_init = 1
int | ace_yy_start = 0
int | ace_yy_did_buffer_switch_on_eof
ace_yyconst short int | ace_yy_accept [107]
ace_yyconst int | ace_yy_ec [256]
ace_yyconst int | ace_yy_meta [45]
ace_yyconst short int | ace_yy_base [112]
ace_yyconst short int | ace_yy_def [112]
ace_yyconst short int | ace_yy_nxt [482]
ace_yyconst short int | ace_yy_chk [482]
ace_yy_state_type | ace_yy_last_accepting_state
ACE_TCHAR* | ace_yy_last_accepting_cpos
ACE_YY_BUFFER_STATE | ace_yybuffer_stack [ACE_SERVICE_DIRECTIVE_STACK_DEPTH]
int | ace_yy_stack_index = 0
int | size
FILE* | file
int | len

## Define Documentation

#define ACE_SVC_CONF_ECHO (void) fwrite( ace_yytext, ace_yyleng, 1, ace_yyout )

#define ACE_YYSTATE ACE_YY_START

#define ACE_YY_AT_BOL( | ) (ace_yy_current_buffer->ace_yy_at_bol)

#define ACE_YY_BREAK break;

#define ACE_YY_BUFFER_EOF_PENDING 2

#define ACE_YY_BUFFER_NEW 0

#define ACE_YY_BUFFER_NORMAL 1

#define ACE_YY_BUF_SIZE 16384

#define ACE_YY_CURRENT_BUFFER ace_yy_current_buffer

#define ACE_YY_DO_BEFORE_ACTION

| Initializer:
    \
            ace_yytext_ptr = ace_yy_bp; \
            ace_yyleng = (int) (ace_yy_cp - ace_yy_bp); \
            ace_yy_hold_char = *ace_yy_cp; \
            *ace_yy_cp = '\0'; \
            ace_yy_c_buf_p = ace_yy_cp;

#define ACE_YY_END_OF_BUFFER 26

#define ACE_YY_END_OF_BUFFER_CHAR 0

#define ACE_YY_EXIT_FAILURE 2

#define ACE_YY_FATAL_ERROR( | msg ) ace_yy_fatal_error( msg )

#define ACE_YY_FLEX_MAJOR_VERSION 2

#define ACE_YY_FLEX_MINOR_VERSION 5

#define ACE_YY_FLUSH_BUFFER ace_yy_flush_buffer( ace_yy_current_buffer )

#define ACE_YY_INPUT( | buf, result, max_size )

| Initializer:
    \
            if ( ace_yy_current_buffer->ace_yy_is_interactive ) \
                    { \
                    int c = '*', n; \
                    for ( n = 0; n < max_size && \
                                 (c = getc( ace_yyin )) != EOF && c != '\n'; ++n ) \
                            buf[n] = (ACE_TCHAR) c; \
                    if ( c == '\n' ) \
                            buf[n++] = (ACE_TCHAR) c; \
                    if ( c == EOF && ferror( ace_yyin ) ) \
                            ACE_YY_FATAL_ERROR (ACE_LIB_TEXT ("input in flex scanner failed")); \
                    result = n; \
                    } \
            else if ( ((result = fread( buf, sizeof (ACE_TCHAR), max_size, ace_yyin )) == 0) \
                      && ferror( ace_yyin ) ) \
                    ACE_YY_FATAL_ERROR (ACE_LIB_TEXT ("input in flex scanner failed"));

#define ACE_YY_MORE_ADJ 0

#define ACE_YY_NEW_FILE ace_yyrestart( ace_yyin )

#define ACE_YY_NO_POP_STATE 1

#define ACE_YY_NO_PUSH_STATE 1

#define ACE_YY_NO_TOP_STATE 1

#define ACE_YY_NO_UNPUT

#define ACE_YY_NULL 0

#define ACE_YY_NUM_RULES 25

#define ACE_YY_PROTO( | proto ) ()

#define ACE_YY_READ_BUF_SIZE 8192

#define ACE_YY_RESTORE_ACE_YY_MORE_OFFSET

#define ACE_YY_RULE_SETUP

| Initializer:
    \
            if ( ace_yyleng > 0 ) \
                    ace_yy_current_buffer->ace_yy_at_bol = \
                                    (ace_yytext[ace_yyleng - 1] == '\n'); \
            ACE_YY_USER_ACTION

#define ACE_YY_SC_TO_UI( | c ) ((unsigned int) (unsigned char) c)

#define ACE_YY_START ((ace_yy_start - 1) / 2)

#define ACE_YY_START_STACK_INCR 25

#define ACE_YY_STATE_EOF( | state ) (ACE_YY_END_OF_BUFFER + state + 1)

#define BEGIN ace_yy_start = 1 + 2 *

#define EOB_ACT_CONTINUE_SCAN 0

#define EOB_ACT_END_OF_FILE 1

#define EOB_ACT_LAST_MATCH 2

#define FLEX_SCANNER

#define INITIAL 0

#define NORMAL 2

#define PARAMETERS 1

#define REJECT reject_used_but_not_detected

#define ace_yy_new_buffer ace_yy_create_buffer

#define ace_yy_set_bol( | at_bol )

| Initializer:
    \
            { \
            if ( ! ace_yy_current_buffer ) \
                    ace_yy_current_buffer = ace_yy_create_buffer( ace_yyin, ACE_YY_BUF_SIZE ); \
            ace_yy_current_buffer->ace_yy_at_bol = at_bol; \
            }

#define ace_yy_set_interactive( | is_interactive )

| Initializer:
    \
            { \
            if ( ! ace_yy_current_buffer ) \
                    ace_yy_current_buffer = ace_yy_create_buffer( ace_yyin, ACE_YY_BUF_SIZE ); \
            ace_yy_current_buffer->ace_yy_is_interactive = is_interactive; \
            }

#define ace_yyconst

#define ace_yyless( | n )

| Initializer:
    \
            do \
                    { \
                      \
                    ace_yytext[ace_yyleng] = ace_yy_hold_char; \
                    ace_yy_c_buf_p = ace_yytext + n; \
                    ace_yy_hold_char = *ace_yy_c_buf_p; \
                    *ace_yy_c_buf_p = '\0'; \
                    ace_yyleng = n; \
                    } \
            while ( 0 )

#define ace_yyless( | n )

| Initializer:
    \
            do \
                    { \
                      \
                    *ace_yy_cp = ace_yy_hold_char; \
                    ACE_YY_RESTORE_ACE_YY_MORE_OFFSET \
                    ace_yy_c_buf_p = ace_yy_cp = ace_yy_bp + n - ACE_YY_MORE_ADJ; \
                    ACE_YY_DO_BEFORE_ACTION;   \
                    } \
            while ( 0 )

#define ace_yymore( | ) ace_yymore_used_but_not_detected

#define ace_yyterminate( | ) return ACE_YY_NULL

#define ace_yytext_ptr ace_yytext

#define token( | x ) x

## Typedef Documentation

typedef struct ace_yy_buffer_state* ACE_YY_BUFFER_STATE

typedef ACE_TCHAR ACE_YY_CHAR

typedef unsigned int ace_yy_size_t

typedef int ace_yy_state_type

## Function Documentation

void ace_yy_fatal_error ACE_YY_PROTO ( | (ace_yyconst ACE_TCHAR msg[]) )`[static]`

ace_yy_state_type ace_yy_try_NUL_trans ACE_YY_PROTO ( | (ace_yy_state_type current_state) )`[static]`

void ace_yy_flex_free ACE_YY_PROTO ( | (void *) )`[static]`

void* ace_yy_flex_realloc ACE_YY_PROTO ( | (void *,ace_yy_size_t) )`[static]`

void* ace_yy_flex_alloc ACE_YY_PROTO ( | (ace_yy_size_t) )`[static]`

ACE_YY_BUFFER_STATE ace_yy_scan_bytes ACE_YY_PROTO ( | (ace_yyconst ACE_TCHAR *bytes,int len) )

ACE_YY_BUFFER_STATE ace_yy_scan_string ACE_YY_PROTO ( | (ace_yyconst ACE_TCHAR *ace_yy_str) )

ACE_YY_BUFFER_STATE ace_yy_scan_buffer ACE_YY_PROTO ( | (ACE_TCHAR *base,ace_yy_size_t size) )

void ace_yy_init_buffer ACE_YY_PROTO ( | (ACE_YY_BUFFER_STATE b,FILE *file) )

void ace_yy_delete_buffer ACE_YY_PROTO ( | (ACE_YY_BUFFER_STATE b) )

ACE_YY_BUFFER_STATE ace_yy_create_buffer ACE_YY_PROTO ( | (FILE *file,int size) )

void ace_yy_load_buffer_state ACE_YY_PROTO ( | (void) )

void ace_yy_switch_to_buffer ACE_YY_PROTO ( | (ACE_YY_BUFFER_STATE new_buffer) )

void ace_yyrestart ACE_YY_PROTO ( | (FILE *input_file) )

void ace_yy_init_buffer ( | b,
| file )

## Variable Documentation

ace_yyconst short int ace_yy_accept[107]`[static]`

| Initializer:
    {   0,
            0,    0,    0,    0,    0,    0,   26,   24,   22,   23,
           24,   21,   24,   15,   16,   14,   21,   13,   20,   20,
           20,   20,   20,   20,   20,   20,   20,   17,   18,   24,
           22,    0,   19,   21,    0,    0,   19,   20,   20,   20,
           20,   20,   20,   20,   20,   20,   20,    0,    1,   20,
           20,   20,   20,   20,   20,   20,   20,   20,   20,   20,
           20,   20,   20,   20,   20,   20,   20,   20,   20,   20,
           20,   20,   20,   20,   20,   20,   20,   20,   20,   20,
           20,   20,    8,   10,   20,   11,   20,   20,    6,    5,
            3,    7,   20,   20,    2,   20,    4,   20,   12,   20,

           20,   20,   20,   20,    9,    0
        }

ace_yyconst short int ace_yy_base[112]`[static]`

| Initializer:
    {   0,
            0,  132,    0,  127,    0,  123,  129,  437,   43,  437,
          122,  112,  109,  437,  437,  437,  102,  437,   38,   41,
           42,   51,   54,   55,   64,   65,   74,  437,  437,  104,
           56,   93,   86,   70,   69,   66,   65,   75,   78,   87,
           88,   96,   97,  107,  108,  111,  125,   58,  437,  129,
          137,  141,  145,  149,  153,  157,  163,  171,  175,  181,
          187,  193,  199,  203,  207,  213,  217,  223,  233,  234,
          242,  252,  253,  261,  262,  265,  271,  274,  277,  285,
          289,  300,  301,  310,  311,  320,  323,  324,  333,  334,
          343,  344,  347,  353,  356,  359,  365,  371,  368,  374,

          377,  386,  389,  390,  398,  437,  428,   49,  430,   45,
          433
        }

ACE_TCHAR * ace_yy_c_buf_p = (ACE_TCHAR *) 0`[static]`

ace_yyconst short int ace_yy_chk[482]`[static]`

ACE_YY_BUFFER_STATE ace_yy_current_buffer = 0`[static]`

ace_yyconst short int ace_yy_def[112]`[static]`

| Initializer:
    {   0,
          106,    1,    1,    1,    1,    1,  106,  106,  106,  106,
          107,  108,  109,  106,  106,  106,  108,  106,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  106,  106,  111,
          106,  107,  107,  108,  108,  109,  109,  110,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  111,  106,  110,
          110,  110,  110,  110,  110,  110,  110,  110,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  110,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  110,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  110,  110,  110,
          110,  110,  110,  110,  110,  110,  110,  110,  110,  110,

          110,  110,  110,  110,  110,    0,  106,  106,  106,  106,
          106
        }

int ace_yy_did_buffer_switch_on_eof`[static]`

ace_yyconst int ace_yy_ec[256]`[static]`

| Initializer:
    {   0,
            1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    4,    5,    6,    7,    5,    8,    5,    9,   10,
           11,   12,    5,    5,   13,   13,   13,   14,   14,   14,
           14,   14,   14,   14,   14,   14,   14,   15,    5,    5,
            5,    5,    5,    5,   16,   17,   17,   17,   18,   17,
           17,   17,   17,   17,   17,   17,   19,   17,   20,   17,
           17,   21,   22,   23,   17,   17,   17,   17,   17,   17,
            5,   13,    5,    5,   24,    5,   25,   26,   27,   28,

           29,   17,   17,   17,   30,   31,   17,   32,   33,   34,
           35,   36,   17,   37,   38,   39,   40,   41,   17,   17,
           42,   17,   43,    5,   44,   13,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    1
        }

ACE_TCHAR ace_yy_hold_char`[static]`

int ace_yy_init = 1`[static]`

ACE_TCHAR * ace_yy_last_accepting_cpos`[static]`

ace_yy_state_type ace_yy_last_accepting_state`[static]`

ace_yyconst int ace_yy_meta[45]`[static]`

| Initializer:
    {   0,
            1,    1,    1,    2,    2,    2,    2,    3,    2,    2,
            2,    2,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    2,    2
        }

int ace_yy_n_chars`[static]`

ace_yyconst short int ace_yy_nxt[482]`[static]`

int ace_yy_stack_index = 0

int ace_yy_start = 0`[static]`

ACE_YY_BUFFER_STATE ace_yybuffer_stack[ACE_SERVICE_DIRECTIVE_STACK_DEPTH]

FILE * ace_yyout = (FILE *) 0

FILE * file

int len

ace_yy_size_t size